Issue2766

classification
Title: Oracle JDK 7 out of support so no longer available on Travis
Type: Severity: normal
Components: Versions: Jython 2.7
Milestone:
process
Status: pending Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: adamburke, jeff.allen
Priority: Keywords:

Created on 2019-05-03.12:42:06 by adamburke, last changed 2019-05-12.21:56:00 by jeff.allen.

Messages
msg12490 (view) Author: Adam Burke (adamburke) Date: 2019-05-03.12:42:05
Eg

https://travis-ci.org/jythontools/jython/jobs/521096901

Setting environment variables from .travis.yml
$ export CUSTOM_JDK="oraclejdk7"
$ export TERM=dumb
$ java -Xmx32m -version
java version "1.8.0_151"
Java(TM) SE Runtime Environment (build 1.8.0_151-b12)
Java HotSpot(TM) 64-Bit Server VM (build 25.151-b12, mixed mode)
$ javac -J-Xmx32m -version
javac 1.8.0_151
before_install.1
0.00s$ hostname
travis-job-e699876d-6eb4-46a8-a135-42f298cb3d85
before_install.2
0.00s$ cat /etc/hosts
127.0.1.1 travis-job-e699876d-6eb4-46a8-a135-42f298cb3d85 travis-job-e699876d-6eb4-46a8-a135-42f298cb3d85 ip4-loopback trusty64
127.0.0.1 localhost nettuno travis vagrant 
before_install.3
0.01s$ sudo hostname "$(hostname | cut -c1-63)"
before_install.4
0.01s$ sed -e "s/^\\(127\\.0\\.0\\.1.*\\)/\\1 $(hostname | cut -c1-63)/" /etc/hosts | sudo tee /etc/hosts
before_install.5
0.00s$ hostname
travis-job-e699876d-6eb4-46a8-a135-42f298cb3d85
before_install.6
0.00s$ cat /etc/hosts
before_install.7
0.00s$ if [ "$TRAVIS_OS_NAME" == "osx" ]; then export JAVA_HOME=$(/usr/libexec/java_home); fi
before_install.8
0.00s$ if [ "$TRAVIS_OS_NAME" == "osx" ]; then brew update; fi
before_install.9
0.00s$ if [ "$TRAVIS_OS_NAME" == "osx" ]; then brew install ant; fi
before_install.10
0.02s$ if [ "$TRAVIS_OS_NAME" == "linux" ]; then jdk_switcher use "$CUSTOM_JDK"; fi
Switching to Oracle JDK7 (java-7-oracle), JAVA_HOME will be set to /usr/lib/jvm/java-7-oracle
update-java-alternatives: directory does not exist: /usr/lib/jvm/java-7-oracle
0.01s$ ant
Error: JAVA_HOME is not defined correctly.
  We cannot execute /usr/lib/jvm/java-7-oracle/bin/java
The command "ant" failed and exited with 1 during .

See https://github.com/travis-ci/travis-ci/issues/7884 
... for details on withdrawl of support / Travis availability
msg12494 (view) Author: Adam Burke (adamburke) Date: 2019-05-05.23:38:59
PR https://github.com/jythontools/jython/pull/135
msg12502 (view) Author: Adam Burke (adamburke) Date: 2019-05-09.09:46:56
A more comprehensive PR around travis that I missed earlier

https://github.com/jythontools/jython/pull/136

That said given https://github.com/jythontools/jython/pull/123 I am wondering if the perfect is the enemy of the good. CI env problems on big test suites often hide a few long tail bugs. Perhaps we can at least kill the most obvious problems first, like entire JDKs being missing ;)
msg12512 (view) Author: Jeff Allen (jeff.allen) Date: 2019-05-12.19:41:26
Yeah, but that one is mainly about Windows and is stuck.
msg12514 (view) Author: Jeff Allen (jeff.allen) Date: 2019-05-12.21:56:00
Now in at https://hg.python.org/jython/rev/525e6665e226

Thanks Adam.
History
Date User Action Args
2019-05-12 21:56:00jeff.allensetstatus: open -> pending
resolution: accepted -> fixed
messages: + msg12514
2019-05-12 19:41:27jeff.allensetresolution: accepted
messages: + msg12512
nosy: + jeff.allen
2019-05-09 09:46:56adamburkesetmessages: + msg12502
2019-05-05 23:38:59adamburkesetmessages: + msg12494
2019-05-03 12:42:06adamburkecreate